@import '../mixins';
@import '../variables';

.header {
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;

  @include xs {
    min-height: 173px;
    background-image: url('../img/header/header320.png');
  }

  @include s {
    min-height: 346px;
    background-image: url('../img/header/header640.png');
  }

  @include m {
    min-height: 530px;
    background-image: url('../img/header/header980.png');
  }

  @include l {
    min-height: 649px;
    background-image: url('../img/header/header1200.png');
  }


  &__title {
    font-family: $header-font;
    color: $white;

    @include xs {
      font-size: 16px;
      line-height: 24px;
      padding: 14px 0 3px 20px;
      letter-spacing: 0.24px;
    }

    @include s {
      font-size: 36px;
      line-height: 44px;
      padding: 30px 0 22px 38px;
    }

    @include m {
      font-size: 54px;
      line-height: 66px;
      padding: 64px 0 57px 30px;
    }

    @include l {
      font-size: 62px;
      line-height: 78px;
      padding: 58px 0 53px 37px;
    }
  }

  &__mail {
    font-family: $main-font;
    color: #6d888d;
    text-decoration: none;
    line-height: 0;

    @include xs {
      font-size: 14px;
      margin-left: 20px;
      letter-spacing: -1px;

    }
    @include s {
      font-size: 24px;
      margin-left: 38px;
    }

    @include m {
      font-size: 34px;
      margin-left: 30px;
    }

    @include l {
      font-size: 38px;
      margin-left: 37px;
    }
  }
}